<header id="header" class="transparent-navbar">
    <!-- container -->
    <div class="container">
        <div class="navbar-header">
            <!-- Logo -->

            <!-- Mobile toggle -->
<!--            <button class="navbar-toggle">-->
<!--                <i class="fa fa-bars"></i>-->
<!--            </button>-->
            <!-- /Mobile toggle -->
        </div>
        <!-- /navbar header -->

        <nav class="navbar-expand-md" id="nav">
            <!--    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()">-->
            <!--        <span class="logo-img"></span>-->
            <!--        <span class="navbar-title">-->
            <!--            <strong>Information and DigitalTechnologies 2019</strong>-->
            <!--        </span>-->
            <!--    </a>-->
            <div class="navbar-brand">
                <a class="logo" routerLink="/">
                    <img class="logo-img" src="../../../favicon.ico" alt="logo">
                    <img class="logo-alt-img" src="../../../favicon.ico" alt="logo">
                </a>
            </div>
            <!-- /Logo -->
            <a class="navbar-toggler navbar-toggle d-lg-none" href="javascript:void(0);" data-toggle="collapse"
               data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
               aria-label="Toggle navigation" (click)="toggleNavbar()">
                <fa-icon icon="bars"></fa-icon>
            </a>
            <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed"
                 [ngSwitch]="isAuthenticated()">
                <ul class="main-nav nav navbar-nav navbar-right">
                    <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                        <a class="nav-link" routerLink="/" (click)="collapseNavbar()">Home
                        </a>
                    </li>
                    <li *ngIf="closestConference" class="nav-item" routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}">
                        <a class="nav-link" href="/#about"
                           (click)="collapseNavbar();">Conference
                        </a>
                    </li>
<!--                    <li *ngIf="closestConference" class="nav-item" routerLinkActive="active"-->
<!--                        [routerLinkActiveOptions]="{exact: true}">-->
<!--                        <a class="nav-link" href="/#news"-->
<!--                           (click)="collapseNavbar();">News-->
<!--                        </a>-->
<!--                    </li>-->
                    <li *ngIf="closestConference" class="nav-item" routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}">
                        <a class="nav-link" href="/#schedule"
                           (click)="collapseNavbar();">Program
                        </a>
                    </li>
                    <li *hasAnyRole="'SUPERADMIN'" ngbDropdown class="nav-item dropdown pointer" placement="bottom-right"
                        routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                        <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);"
                           id="admin-menu">Administration
                        </a>
                        <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
                            <li>
                                <a class="dropdown-item" routerLink="admin/userManagement" routerLinkActive="active"
                                   (click)="collapseNavbar()">User management
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-item" routerLink="conferences" routerLinkActive="active"
                                   (click)="collapseNavbar()">Conferences management
                                </a>
                            </li>
<!--                            <li>-->
<!--                                <a class="dropdown-item" routerLink="news" routerLinkActive="active"-->
<!--                                   (click)="collapseNavbar()">News management-->
<!--                                </a>-->
<!--                            </li>-->
                        </ul>
                    </li>
                    <li ngbDropdown class="nav-item dropdown pointer" placement="bottom-right" routerLinkActive="active"
                        [routerLinkActiveOptions]="{exact: true}">
                        <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);"
                           id="account-menu">Account
                        </a>
                        <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
                            <li *ngSwitchCase="true">
                                <a class="dropdown-item" routerLink="user-articles" routerLinkActive="active"
                                   (click)="collapseNavbar()"><fa-icon icon="clipboard-list" fixedWidth="true"></fa-icon>My articles
                                </a>
                            </li>
                            <li *ngSwitchCase="true">
                                <a class="dropdown-item" routerLink="settings" routerLinkActive="active"
                                   (click)="collapseNavbar()"><fa-icon icon="user" fixedWidth="true"></fa-icon>Profile
                                </a>
                            </li>
                            <li *ngSwitchCase="true">
                                <a class="dropdown-item" (click)="logout()" id="logout"><fa-icon icon="sign-out-alt" fixedWidth="true"></fa-icon>Sign out
                                </a>
                            </li>
                            <li *ngSwitchCase="false">
                                <a class="dropdown-item" routerLink="login" routerLinkActive="active"
                                   (click)="collapseNavbar()">
                                    <fa-icon icon="sign-in-alt" fixedWidth="true"></fa-icon>Sign in
                                </a>
                            </li>
                            <!--<li *ngSwitchCase="false">-->
                            <!--<a class="dropdown-item" routerLink="register" routerLinkActive="active" (click)="collapseNavbar()">-->
                            <!--<fa-icon icon="user-plus" fixedWidth="true"></fa-icon>-->
                            <!--<span>Register</span>-->
                            <!--</a>-->
                            <!--</li>-->
                        </ul>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
    <!-- /container -->
</header>
<!-- /Header -->
